<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>fullstack-resources</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h3 id="table-of-contents">Table of Contents</h3>
    <ol type="1">
      <li>
        <strong><a href="#start-here">Start Here</a></strong>
      </li>
      <li>
        <strong><a href="#how-to-learn">How to learn</a></strong>
      </li>
      <li>
        <strong
          ><a href="#what-is-the-single-most-useful-cs-bookmark-you-have"
            >What is the Most Useful CS Bookmark You have</a
          ></strong
        >
      </li>
      <li>
        <strong
          ><a href="#programs-and-classes">Programs &amp; Classes</a></strong
        >
      </li>
      <li>
        <strong><a href="#learn-html">Learn HTML</a></strong>
      </li>
      <li>
        <strong><a href="#learn-css">Learn CSS</a></strong>
      </li>
      <li>
        <strong><a href="#learn-javascript">Learn JavaScript</a></strong>
      </li>
      <li>
        <strong><a href="#learn-react-js">Learn React.js</a></strong>
      </li>
      <li>
        <strong
          ><a href="#full-stack-tutorials">Full Stack Tutorials</a></strong
        >
      </li>
      <li>
        <strong><a href="#learn-node-js">Learn Node.js</a></strong>
      </li>
      <li>
        <strong><a href="#learn-python">Learn Python</a></strong>
      </li>
      <li>
        <strong><a href="#learn-apis">Learn APIs</a></strong>
      </li>
      <li>
        <strong><a href="#learn-databases">Learn Databases</a></strong>
      </li>
      <li>
        <strong
          ><a href="#learn-authentication">Learn Authentication</a></strong
        >
      </li>
      <li>
        <strong><a href="#learn-git">Learn Git</a></strong>
      </li>
      <li>
        <strong
          ><a href="#games-and-challenge-websites"
            >Games &amp; Challenge Websites</a
          ></strong
        >
      </li>
      <li>
        <strong
          ><a href="#free-programming-books">Free Programming Books</a></strong
        >
      </li>
      <li>
        <strong
          ><a href="#open-source-contribution-opportunities"
            >Open Source Contribution Opportunities</a
          ></strong
        >
      </li>
      <li>
        <strong
          ><a href="#am-i-ready-to-be-a-developer"
            >Am I Ready to be a Developer?</a
          ></strong
        >
      </li>
      <li>
        <strong
          ><a href="#software-developer-success-stories"
            >Software Developer Success Stories</a
          ></strong
        >
      </li>
      <li>
        <strong
          ><a href="#get-the-job"
            >Resume’s, Portfolio’s, LinkedIn, Interview Prep, &amp; Salary
            Information</a
          ></strong
        >
      </li>
    </ol>
    <hr />
    <h3 id="start-here">Start Here</h3>
    <p>
      The list below isn’t meant to be exclusive, it’s more so a collection of
      links that have helped me out along the way (and can hopefully help you).
      As you’ll see, I’ve focused on JavaScript, React, and Node.js. There is
      also a wealth of information on interview prep and applying to jobs.
    </p>
    <p>
      More free resources can be found on
      <a href="https://codeburst.io">codeburst.io</a>
    </p>
    <hr />
    <ul>
      <li>
        Take a look at the big picture:
        <ul>
          <li>
            <a
              href="https://codeburst.io/the-2018-web-developer-roadmap-826b1b806e8d"
              >2018 Web Developer Roadmap</a
            >
          </li>
          <li>
            YouTube video outlining what to learn (similar to above, but in
            video format) -
            <a href="https://www.youtube.com/watch?v=sBzRwzY7G-k"
              >Watch this if you want to become a web developer</a
            >
          </li>
        </ul>
      </li>
      <li>
        Learn about the common tools associated with full stack web development
        -
        <a
          href="https://www.quora.com/What-is-the-A-Z-of-web-development-and-web-design"
          >What is the A-Z of Web Development?</a
        >
      </li>
      <li>
        <a
          href="https://medium.freecodecamp.com/my-journey-to-becoming-a-web-developer-from-scratch-without-a-cs-degree-2-years-later-and-what-i-4a7fd2ff5503#.vk5vkb18q"
          >My journey to becoming a web developer from scratch without a CS
          degree (and what I learned from it)</a
        >
        (Medium)
      </li>
      <li>
        What happens when you type google into your address bar?
        <ul>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/55ydbs/common_interview_question_what_happens_when_you/"
              >Reddit Link</a
            >
          </li>
          <li>
            <a
              href="https://code.tutsplus.com/tutorials/http-the-protocol-every-web-developer-must-know-part-1--net-31177"
              >Tuts Plus - The http protocol every web developer must know</a
            >
          </li>
        </ul>
      </li>
      <li>
        Find a local Web Development related
        <a href="https://www.meetup.com/">Meetup!</a> Don’t worry, it’s not as
        scary as you might think, and is one of the best ways to start learning
      </li>
    </ul>
    <hr />
    <h3 id="how-to-learn">How to Learn</h3>
    <ul>
      <li>
        How to Learn.
        <ul>
          <li>
            Coursera Course (Not CS Specific) -
            <a href="https://www.coursera.org/learn/learning-how-to-learn"
              >Learning how to learn</a
            >
          </li>
          <li>
            Repetition, Repetition, Repetition -
            <a
              href="https://www.reddit.com/r/learnprogramming/comments/5pyx5t/a_beginners_trick_i_learned_way_too_late_in_the/"
              >Reddit Discussion on study techniques</a
            >
          </li>
          <li>
            What technologies to learn and strategies to learn them -
            <a
              href="https://codetheweb.blog/2017/10/04/how-to-learn-web-development/"
              >How to learn web development</a
            >
          </li>
        </ul>
      </li>
    </ul>
    <hr />
    <h3 id="what-is-the-single-most-useful-cs-bookmark-you-have">
      What is the Single most useful CS Bookmark you have?
    </h3>
    <ul>
      <li>
        What is the single most useful CS Bookmark you have?
        <a
          href="https://www.reddit.com/r/cscareerquestions/comments/5bsg82/whats_the_single_most_useful_csrelated_link_you/"
          >Reddit Link to discussion</a
        >
        <ul>
          <li>
            <a href="https://learnxinyminutes.com/">Learn X in Y Minutes</a>
          </li>
          <li>
            <a href="http://matt.might.net/articles/what-cs-majors-should-know/"
              >What CS Majors Should Know</a
            >
          </li>
          <li>
            <a
              href="https://www.google.com/about/careers/students/guide-to-technical-development.html"
              >Google’s Technical Development Guide</a
            >
          </li>
          <li>
            <a href="https://css-tricks.com/snippets/css/a-guide-to-flexbox/"
              >CSS Tricks - Complete Flexbox Guide</a
            >
          </li>
          <li><a href="http://regexr.com/">Regex Cheat Sheet</a></li>
          <li><a href="http://devdocs.io">DevDocs</a></li>
          <li>
            <a href="https://github.com/sindresorhus/awesome"
              >Awesome List of Everything Programming</a
            >
          </li>
          <li>
            <a
              href="http://haseebq.com/how-to-break-into-tech-job-hunting-and-interviews/"
              >How to Break Into the Tech Industry—a Guide to Job Hunting and
              Tech Interviews</a
            >
          </li>
        </ul>
      </li>
    </ul>
    <hr />
    <h3 id="programs-and-classes">Programs and Classes</h3>
    <ul>
      <li>
        Bootcamps
        <ul>
          <li>
            <a href="http://bit.ly/2yEYsoB"
              >The Web Developer Bootcamp by Colt Steele</a
            >. I include this paid course because it is worth its weight in
            gold. Inexpensive (less than $20) and one of the best resources out
            there. If you’re going to buy one course to learn WebDev, buy this
            one. Also see -
            <a href="http://bit.ly/2z3TnGR">The Advanced Web Dev Bootcamp</a>
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/learnprogramming/comments/5ew1gs/thoughts_on_coding_boot_camps/"
              >Thoughts on Coding Boot camps</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/506myw/the_complete_guide_to_bootcamps/"
              >The Complete Guide to Bootcamps</a
            >
          </li>
          <li>
            Self Study - My programming notes. 275 Pages of Content
            <a
              href="https://www.reddit.com/r/learnprogramming/comments/5opg9k/my_programming_notes_275_pages_summaries_of/"
              >[Updated Reddit Link]</a
            >
            <a
              href="https://www.reddit.com/r/learnprogramming/comments/4iewun/my_programming_notes_141_pages_summaries_of/"
              >[Original Reddit Link]</a
            >
          </li>
        </ul>
      </li>
      <li>
        Programs
        <ul>
          <li><a href="http://www.theodinproject.com/">The Odin Project</a></li>
          <li><a href="https://www.freecodecamp.com/">FreeCodeCamp</a></li>
          <li>
            <a href="http://upskillcourses.com/p/essential-web-developer-course"
              >The Essential Web Developer Course</a
            >
          </li>
          <li>
            <a href="https://www.learnhowtoprogram.com/courses"
              >Epicodus Programming Bootcamp Curriculum</a
            >
          </li>
        </ul>
      </li>
      <li>
        Classes
        <ul>
          <li>
            <a
              href="https://www.reddit.com/r/learnprogramming/comments/5gr8nw/heres_a_sanitized_list_of_530_free_online/"
              >SANITIZED list of 530+ free online programming/CS courses (MOOCs)
              with feedback(i.e. exams/homeworks/assignments) that you can start
              this month (December 2016)</a
            >
            - <em>Needs Updating</em>
          </li>
          <li>
            <a href="https://www.udacity.com/courses/web-development"
              >Udacity Free Web Development Courses (Google)</a
            >
          </li>
        </ul>
      </li>
      <li>
        GitHub
        <ul>
          <li>
            <a
              href="https://codeburst.io/a-step-by-step-guide-to-making-your-first-github-contribution-5302260a2940"
              >A Step by Step Guide to Making Your First GitHub Contribution</a
            >
          </li>
        </ul>
      </li>
    </ul>
    <hr />
    <h3 id="learn-html">Learn HTML</h3>
    <ul>
      <li>
        <a
          href="https://developer.mozilla.org/en-US/docs/Learn/HTML/Introduction_to_HTML"
          >Introduction to HTML - Mozilla Docs</a
        >
      </li>
      <li><a href="http://www.html5tutorial.info">HTML5 Tutorial</a></li>
      <li>
        <a href="https://www.edx.org/course/html5-introduction-w3cx-html5-0x-0"
          >HTML5 Introduction EDX</a
        >
      </li>
      <li>
        <a href="http://learn.shayhowe.com/html-css/"
          >Learn to code HTML &amp; CSS - Shay Howe</a
        >
      </li>
      <li>
        <a href="https://www.sololearn.com/Course/HTML/"
          >HTML Fundamentals - SoloLearn</a
        >
      </li>
      <li>
        <a href="https://websitesetup.org/html5-cheat-sheet/"
          >HTML Cheat Sheet</a
        >
      </li>
      <li>
        <a href="https://www.w3schools.com/html/"
          >HTML5 Full Tutorial - w3schools</a
        >
      </li>
      <li>
        <a href="https://www.tutorialspoint.com/html5/html5_tutorial.pdf"
          >HTML5 Tutorial PDF DOWNLOAD - tutorialspoint</a
        >
      </li>
      <li>
        <a href="https://codetheweb.blog/learn/html/"
          >Learn HTML series - Code The Web</a
        >
      </li>
    </ul>
    <hr />
    <h3 id="learn-css">Learn CSS</h3>
    <ul>
      <li>
        <a href="https://codeburst.io/25-html-css-tutorials-6a864f387185"
          >25 HTML &amp; CSS Tutorials</a
        >
        - Learn HTML &amp; CSS by exploring these 25 tutorials.
      </li>
      <li>
        <a
          href="https://medium.freecodecamp.com/understanding-flexbox-everything-you-need-to-know-b4013d4dc9af#.nusbqoyuc"
          >Everything you need to know about Flexbox</a
        >
      </li>
      <li>
        <a
          href="https://codeburst.io/build-a-minimalist-html-card-in-just-53-lines-of-code-with-flexbox-b40801927eb5"
          >Build a Minimalist HTML Card in just 53 lines of code (with
          Flexbox)</a
        >
      </li>
      <li>
        A visual guide to CSS -
        <a href="http://cssreference.io/">CSS Reference</a>
      </li>
      <li>
        <a
          href="https://github.com/AllThingsSmitty/css-protips?utm_source=mybridge&amp;utm_medium=blog&amp;utm_campaign=read_more"
          >CSS Pro Tips</a
        >
        - A collection of tips to help take your CSS skills pro.
      </li>
      <li>
        <a
          href="https://blog.gyrosco.pe/smooth-css-animations-7d8ffc2c1d29#.y6p8vkehd"
          >10 principles for smooth web animations</a
        >
      </li>
      <li>
        <a href="https://www.sololearn.com/Course/CSS/"
          >Css Fundamentals - SoloLearn</a
        >
      </li>
      <li>
        <a href="https://websitesetup.org/css3-cheat-sheet/">CSS Cheat Sheet</a>
      </li>
    </ul>
    <hr />
    <h3 id="learn-javascript">Learn JavaScript</h3>
    <ul>
      <li>
        Javascript
        <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript"
          >Docs</a
        >
      </li>
      <li>
        Courses/Tutorials
        <ul>
          <li>
            <a
              href="https://codeburst.io/60-javascript-tutorials-walkthroughs-cb315cc1947e"
              >60+ JavaScript Tutorials &amp; Walkthroughs</a
            >
            - Learn JavaScript and key concepts by exploring more than 60
            organized tutorials!
          </li>
          <li>
            <a href="https://codeburst.io/tagged/javascript"
              >Recent News, Articles, Tutorials on JavaScript</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-for-beginners-a-new-series-22762d8e5c42"
              >JavaScript for Beginners - Understand the hard stuff</a
            >
          </li>
          <li>
            <a
              href="https://www.edx.org/course/html5-part-1-html5-coding-essentials-w3cx-html5-1x-1"
              >Javascript for Beginners (1) EDX</a
            >
          </li>
          <li>
            <a
              href="https://www.edx.org/course/html5-part-2-advanced-techniques-w3cx-html5-2x-1"
              >Javascript for Beginners (2) EDX</a
            >
          </li>
          <li>
            Javascript <a href="http://jstherightway.org/">The Right Way</a>
          </li>
          <li>
            Courses.AngularClass.com - Topics Include: webpack, nodejs, npm,
            es5, es6, esnext, &amp; rxjs, typescript
            <ul>
              <li>
                <a
                  href="http://courses.angularclass.com/courses/modern-javascript"
                  >[Course Link]</a
                >
                <a
                  href="https://www.reddit.com/r/learnjavascript/comments/4vz5y6/learn_modern_javascript_for_free_topics_covered/"
                  >[Reddit Post]</a
                >
              </li>
            </ul>
          </li>
          <li>
            Edabit - Learn JavaScript With Interactive Challenges: Earn XP,
            Unlock Achievements &amp; Climb The Leaderboard
            <ul>
              <li>
                <a href="https://edabit.com/explore">[Edabit - Website Link]</a>
                <a
                  href="https://www.reddit.com/r/learnprogramming/comments/5vc3gb/learn_javascript_with_interactive_challenges_earn/"
                  >[Reddit Post]</a
                >
              </li>
            </ul>
          </li>
          <li>
            <a href="https://www.rithmschool.com/courses#advanced-javascript"
              >Free Advanced JavaScript Courses - Learn Object Oriented
              Programming, Call Apply, and Bind, Testing, Functional
              Programming, and much more</a
            >
          </li>
          <li>
            <a
              href="https://www.udacity.com/course/object-oriented-javascript--ud015"
              >Intermediate Course - Udacity - OOP JS</a
            >
          </li>
          <li>
            <a href="https://www.sololearn.com/Course/JavaScript/"
              >JavaScript Tutorial</a
            >
          </li>
        </ul>
      </li>
      <li>
        <p>Understanding Tougher Topics</p>
        <ul>
          <li>
            <a
              href="https://codeburst.io/javascript-the-keyword-this-for-beginners-fb5238d99f85"
              >JavaScript - The keyword ‘this’ for beginners</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-arrow-functions-for-beginners-926947fc0cdc"
              >JavaScript - Arrow Functions for Beginners</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-what-the-heck-is-a-callback-aba4da2deced"
              >JavaScript: What the heck is a Callback?</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-what-the-heck-is-an-immediately-invoked-function-expression-a0ed32b66c18"
              >JavaScript: What the heck is an Immediately-Invoked Function
              Expression?</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-for-beginners-the-new-operator-cee35beb669e"
              >JavaScript for Beginners: The new Operator</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-learn-regular-expressions-for-beginners-bb6107015d91"
              >Javascript: Learn Regular Expressions for Beginners</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-template-literals-tag-functions-for-beginners-758a041160e1"
              >JavaScript Template Literals and Tag Functions for Beginners</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-the-spread-operator-a867a71668ca"
              >JavaScript &amp; the spread operator</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-what-is-short-circuit-evaluation-ff22b2f5608c"
              >JavaScript: What is short-circuit evaluation?</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-what-is-the-ternary-operator-c819af8a7f6c"
              >JavaScript: What is the ternary operator?</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-why-does-3-true-4-and-7-other-tricky-equations-9dd13cb2a92a"
              >JavaScript: Why does 3 + true = 4? (and 7 other tricky
              equations)</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/javascript-whats-the-difference-between-null-undefined-37793b5bfce6"
              >JavaScript — What’s the difference between Null &amp;
              Undefined?</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/learn-and-understand-recursion-in-javascript-b588218e87ea"
              >Learn and Understand Recursion in JavaScript</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/understand-closures-in-javascript-d07852fa51e7"
              >Understand Closures in JavaScript</a
            >
          </li>
        </ul>
      </li>
      <li>
        Projects
        <ul>
          <li>
            <a href="https://javascript30.com/"
              >JS 30 For 30 - 30 Projects for 30 Days</a
            >
          </li>
          <li>
            <a href="https://enlight.ml/"
              >Learn to Code with Projects - enlight.ml</a
            >
          </li>
          <li>
            <strong
              ><a
                href="https://medium.com/@___aerox___/the-beginning-of-an-adventure-13-weeks-of-javascript-78107605d533#.xgqnrstd1"
                >13 Weeks of JavaScript (Medium)</a
              ></strong
            >
            - TONS of links to JS resources
          </li>
        </ul>
      </li>
      <li>
        Articles/Books
        <ul>
          <li>
            <a
              href="https://codeburst.io/three-awesome-and-free-ebooks-for-learning-javascript-c874f65bbd7a"
              >Three awesome (and free) eBooks for learning JavaScript</a
            >
          </li>
          <li>
            <a
              href="https://medium.freecodecamp.com/recursion-recursion-recursion-4db8890a674d#.dtkatvb6j"
              >Recursion, Recursion, Recursion (Medium)</a
            >
          </li>
          <li>
            <a href="http://eloquentjavascript.net/">Eloquent JS</a> - Free
            JavaScript Ebook
          </li>
          <li>
            <a href="https://github.com/getify/You-Dont-Know-JS"
              >You don’t know JS</a
            >
            - Free, hosted on GitHub
          </li>
          <li>
            <a href="http://bonsaiden.github.io/JavaScript-Garden/"
              >JavaScript Garden</a
            >
            - learn about the quirky parts of JS
          </li>
          <li>
            <a
              href="https://addyosmani.com/resources/essentialjsdesignpatterns/book/"
              >Learning js Design patterns</a
            >
            - Reusable solutions to commonly occurring problems
          </li>
          <li>
            <a href="http://requirejs.org/docs/api.html"
              >Asynchronous Module Definition</a
            >
          </li>
        </ul>
      </li>
    </ul>
    <hr />
    <h3 id="learn-react-js">Learn React JS</h3>
    <ul>
      <li>
        Official React
        <a href="https://facebook.github.io/react/docs/hello-world.html"
          >Docs</a
        >
      </li>
      <li>
        Official React
        <a href="https://facebook.github.io/react/tutorial/tutorial.html"
          >Tutorial</a
        >
      </li>
      <li>
        3rd Party Tutorials
        <ul>
          <li>
            <a
              href="https://hackernoon.com/10-react-mini-patterns-c1da92f068c5#.nn8nyilyi"
              >10 React Mini Patterns</a
            >
          </li>
          <li>
            <a href="http://andrewhfarmer.com/getting-started-tutorials/"
              >Top 5 Tutorials for getting started with React</a
            >
          </li>
          <li>
            <a
              href="http://noeticforce.com/best-reactjs-tutorials-with-examples"
              >10 best ReactJS tutorials</a
            >
          </li>
          <li>
            <a
              href="https://hackernoon.com/javascript-frameworks-learn-react-js-2ed10c0dc06d"
              >Three awesome courses for learning React JS (Paid courses under
              $20)</a
            >
          </li>
          <li>
            <a href="http://andrewhfarmer.com/starter-project/"
              >React Starter Project Search</a
            >
          </li>
          <li>
            <a
              href="https://www.toptal.com/react/navigating-the-react-ecosystem"
              >Exploring the react Ecosystem!</a
            >
            - Article
          </li>
          <li>
            <a href="HTTPS://www.codeacademy.com">Code academy React program</a>
          </li>
          <li>
            <a
              href="https://github.com/vhf/free-programming-books/blob/master/javascript-frameworks-resources.md"
              >Great Free React books</a
            >
            - Use this link first
          </li>
          <li><a href="https://codedaily.io/">Code Daily</a></li>
          <li>
            <a
              href="https://codeburst.io/25-react-native-tutorials-5b613e3f46ac"
              >25 React Native Tutorials</a
            >
            - Learn React Native by exploring these 25 tutorials.
          </li>
          <li>
            <a
              href="https://codedaily.io/courses/2/Build-a-React-Native-Todo-Application"
              >Build a Todo Application with React Native</a
            >
          </li>
          <li>
            <a
              href="https://codedaily.io/courses/1/Animate-React-Native-UI-Elements"
              >Learn to Animate with React Native</a
            >
          </li>
        </ul>
      </li>
      <li>
        Medium Links:
        <ul>
          <li>
            <a
              href="https://medium.com/@dan_abramov/react-components-elements-and-instances-90800811f8ca#.rjx4d6bgw"
              >React Components, Elements, and Instances (Medium)</a
            >
          </li>
          <li>
            <a
              href="https://medium.com/@prodia/working-with-react-js-3e21a2ff5443#.ensczdgi0"
              >Working with React</a
            >
          </li>
          <li>
            <a
              href="https://medium.com/@dabit3/beginner-s-guide-to-react-router-53094349669#.4lul6fhvy"
              >Beginners guide to React Router (Medium)</a
            >
          </li>
          <li>
            <a
              href="https://medium.com/@paramsingh_66174/angularjs-vs-reactjs-e651a194dfcb#.bbx4qapwu"
              >Angular JS vs React JS (Medium)</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/react-native-nine-animation-screencast-tutorials-9d031e8bb86f"
              >React Native: Nine Animation Screencast Tutorials</a
            >
          </li>
        </ul>
      </li>
    </ul>
    <hr />
    <h3 id="full-stack-tutorials">Full Stack Tutorials</h3>
    <ul>
      <li>
        <a href="https://www.udacity.com/course/intro-to-backend--ud171"
          >Intro to Back End Web Development</a
        >
      </li>
      <li>
        <a
          href="https://www.udacity.com/course/deploying-applications-with-heroku--ud272"
          >Deploying Applications with Heroku</a
        >
      </li>
      <li>
        <a
          href="https://www.udacity.com/course/client-server-communication--ud897"
          >Client Server Communication</a
        >
      </li>
      <li>
        <a href="http://serverless-stack.com/">Serverless Stack</a> is a
        comprehensive guide to creating full-stack serverless applications.
        Create a note taking app from scratch using React.js, AWS Lambda, API
        Gateway, DynamoDB, and Cognito.
      </li>
      <li>
        <a
          href="https://developer.mozilla.org/en-US/docs/Learn/Server-side/Express_Nodejs/mongoose"
          >Express - Using a DB with Mongoose</a
        >
      </li>
      <li>
        <a href="https://blog.risingstack.com/node-js-database-tutorial/"
          >Node JS and Databases</a
        >
      </li>
      <li>
        <a
          href="https://blog.risingstack.com/node-hero-node-js-authentication-passport-js/"
          >Node JS and Authentication</a
        >
      </li>
      <li>
        <a href="https://expressjs.com/en/guide/database-integration.html"
          >Express JS Database Integration</a
        >
      </li>
      <li>
        <a
          href="https://medium.com/@bryantheastronaut/react-getting-started-the-mern-stack-tutorial-feat-es6-de1a2886be50#.xfd2ixtz6"
          >MERN Stack Tutorial - Mongo, Express, React, Node</a
        >
      </li>
      <li>
        <a
          href="https://www.mongodb.com/blog/post/the-modern-application-stack-part-1-introducing-the-mean-stack"
          >MongoDB MERN Tutorial Series</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/watch?v=cV-bGvnRZdw"
          >Full Stack MERN Tutorial - YouTube</a
        >
      </li>
      <li>
        <a
          href="https://codetuts.tech/build-a-url-shortener-node-hapi-js/?utm_source=mybridge&amp;utm_medium=blog&amp;utm_campaign=read_more"
          >Build a URL Shortener with Node, Hapi, and Mongo</a
        >
      </li>
      <li>
        <a
          href="https://www.airpair.com/javascript/complete-expressjs-nodejs-mongodb-crud-skeleton"
          >How to Create a Complete Express.js + Node.js + MongoDB CRUD and REST
          Skeleton</a
        >
      </li>
      <li>
        <a
          href="http://www.codeproject.com/Articles/1067725/Part-Building-web-app-using-react-js-express-js"
          >Building web app using react.js, express.js, node.js and mongodb</a
        >
        - Part 1, 2
      </li>
      <li>
        <a
          href="http://codeloveandboards.com/blog/2016/01/04/trello-tribute-with-phoenix-and-react-pt-1/"
          >Trello tribute with Phoenix, React, Redux, PostgreSQL</a
        >
        - 12 parts
      </li>
      <li>
        <a
          href="http://sahatyalkabov.com/create-a-character-voting-app-using-react-nodejs-mongodb-and-socketio/"
          >Create a character voting app using React, Node.js, MongoDB and
          Socket.IO</a
        >
      </li>
      <li>
        <a
          href="https://www.sitepoint.com/building-a-react-universal-blog-app-a-step-by-step-guide/"
          >Building a React Universal Blog App: A Step-by-Step Guide</a
        >
      </li>
      <li>
        <a
          href="http://thejackalofjavascript.com/architecting-a-restful-node-js-app/"
          >Building a Secure RESTful Node.js app</a
        >
      </li>
      <li>Cool stuff other people have built:</li>
      <li>
        <a
          href="http://coenraets.org/blog/2015/01/belgian-beer-explorer-with-react-bootstrap-node-js-and-postgres/"
          >Belgian Beer Explorer with React, Bootstrap, Node.js and Postgres</a
        >
      </li>
      <li>
        <a href="https://react.rocks/tag/FullStack?show=40"
          >90 Full Stack React Examples (some with tuts)</a
        >
      </li>
      <li>
        <a
          href="https://www.jackkinsella.ie/books/confessions_of_an_unintentional_cto"
          >Confessions of an Unintentional CTO - lessons in growing a web app</a
        >
      </li>
    </ul>
    <hr />
    <h3 id="learn-node-js">Learn Node JS</h3>
    <ul>
      <li>Official Node.js <a href="https://nodejs.org/en/docs/">Docs</a></li>
      <li>
        <a href="https://codeburst.io/25-node-js-tutorials-1db3b1da0260"
          >25 Node JS Tutorials</a
        >
        - Learn Node JS by exploring these 25 free tutorials.
      </li>
      <li>
        Resources for learning Node.js
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/5xpidt/best_resource_to_learn_nodejs/"
          >[Reddit Link]</a
        >
        <ul>
          <li>
            <a
              href="https://www.youtube.com/watch?v=w-7RQ46RgxU&amp;list=PL4cUxeGkcC9gcy9lrvMJ75z9maRw4byYp"
              >YouTube</a
            >
          </li>
          <li><a href="http://bit.ly/2yEYsoB">Colt Steele’s Bootcamp</a></li>
          <li><a href="https://nodeschool.io/#workshoppers">Node School</a></li>
          <li>
            <a
              href="https://medium.com/the-node-js-collection/why-the-hell-would-you-use-node-js-4b053b94ab8e#.9s49rbove"
              >Medium - Why the hell would you use Node?</a
            >
          </li>
        </ul>
      </li>
      <li>
        Courses/Tutorials
        <ul>
          <li>
            <a
              href="https://codeburst.io/three-awesome-courses-for-learning-node-js-d7f761437101"
              >Three awesome courses for learning Node.js (Paid courses under
              $20)</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/build-a-simple-twitter-bot-with-node-js-in-just-38-lines-of-code-ed92db9eb078"
              >Build a simple Twitter Bot with Node.js in just 38 lines of
              code</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/build-a-simple-twitter-bot-with-node-js-part-2-do-more-2ef1e039715d"
              >Build a simple Twitter Bot with Node.js - PART 2</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/build-a-simple-weather-app-with-node-js-in-just-16-lines-of-code-32261690901d"
              >Build a simple Weather App with Node.js in just 16 lines of
              code</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/learn-to-build-an-amazon-alexa-skill-with-node-js-and-get-paid-to-do-it-cf55ae534650"
              >Learn to build an Amazon Alexa Skill with Node.js (and get paid
              to do it)</a
            >
          </li>
          <li>
            <a
              href="https://scotch.io/tutorials/building-and-securing-a-modern-backend-api?utm_source=mybridge&amp;utm_medium=blog&amp;utm_campaign=read_more"
              >Building a modern backend API with Node</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/watch?v=Z1ktxiqyiLA"
              >Node JS Login with Passport - YouTube</a
            >
          </li>
          <li>
            <a
              href="https://blog.risingstack.com/10-best-practices-for-writing-node-js-rest-apis/?utm_source=mybridge&amp;utm_medium=blog&amp;utm_campaign=read_more"
              >10 Best Practices for Writing Node.js REST APIs</a
            >
          </li>
        </ul>
      </li>
      <li>
        Optimization Techniques
        <ul>
          <li>
            <a
              href="https://community.risingstack.com/redis-node-js-introduction-to-caching/"
              >Make your node server faster by caching responses with redis</a
            >
          </li>
        </ul>
      </li>
    </ul>
    <hr />
    <h3 id="learn-python">Learn Python</h3>
    <ul>
      <li>
        <a
          href="https://medium.com/@bmorelli25/15-free-ebooks-to-learn-python-c299943f9f2c"
          >15 Free e-books to learn Python</a
        >
      </li>
      <li>
        <a
          href="https://www.udacity.com/course/programming-foundations-with-python--ud036"
          >Programming Foundations with Python - Udacity</a
        >
      </li>
      <li>
        <a href="https://www.udacity.com/course/designing-restful-apis--ud388"
          >Designing RESTful APIs - Udacity</a
        >
      </li>
    </ul>
    <hr />
    <h3 id="learn-apis">Learn APIs</h3>
    <ul>
      <li>
        Where to start with learning APIs
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/5761ir/where_to_start_with_learning_how_to_use_apis/"
          >[Reddit Link]</a
        >
        <ul>
          <li>
            <a
              href="https://medium.freecodecamp.com/what-is-an-api-in-english-please-b880a3214a82#.vewp5i2n4"
              >What is an API? In English Please. (Medium)</a
            >
          </li>
          <li>
            <a
              href="https://codeburst.io/build-a-simple-weather-app-with-node-js-in-just-16-lines-of-code-32261690901d"
              >Build a simple Weather App with Node.js in just 16 lines of
              code</a
            >
          </li>
          <li>
            <a
              href="https://www.codementor.io/olatundegaruba/nodejs-restful-apis-in-10-minutes-q0sgsfhbd"
              >Build Node.js RESTful APIs in 10 Minutes</a
            >
          </li>
          <li>
            <a href="https://zapier.com/learn/apis/"
              >Free Intro to APIs Book/Course by Zapier</a
            >
          </li>
          <li>
            <a href="https://developers.google.com/maps/documentation/"
              >Google Maps API</a
            >
          </li>
          <li>
            <a
              href="https://developers.google.com/maps/documentation/distance-matrix/start"
              >Distance Calculator Web Services API</a
            >
          </li>
          <li>
            <a
              href="https://www.udacity.com/course/designing-restful-apis--ud388"
              >Build and Secure a Backend API Server</a
            >
          </li>
        </ul>
      </li>
    </ul>
    <hr />
    <h3 id="learn-databases">Learn Databases</h3>
    <ul>
      <li>
        <a
          href="https://www.digitalocean.com/community/tutorials/understanding-sql-and-nosql-databases-and-different-database-models"
          >SQL vs NoSQL</a
        >
      </li>
      <li>
        <a
          href="https://www.udacity.com/course/intro-to-relational-databases--ud197"
          >Intro to Relational Databases</a
        >
        - SQL, DB-API, and More!
      </li>
      <li>
        <a href="https://university.mongodb.com/">MongoDB University</a> -
        Numerous classes on learning MongoDB
      </li>
      <li>
        <a href="https://www.tutorialspoint.com/postgresql/"
          >PostgreSQL Tutorial</a
        >
      </li>
      <li><a href="https://pgexercises.com/">PostgreSQL Exercises</a></li>
      <li>
        <a href="https://github.com/dwyl/learn-postgresql"
          >Learn PostgreSQL (GitHub)</a
        >
      </li>
      <li><a href="https://try.redis.io/">Try Redis</a></li>
      <li>
        <a href="https://www.tutorialspoint.com/redis/">Redis Tutorial</a>
      </li>
    </ul>
    <hr />
    <h3 id="learn-authentication">Learn Authentication</h3>
    <ul>
      <li>
        <a href="https://jwt.io/introduction/">Learn about JSON Web Tokens</a>
      </li>
      <li>
        <a
          href="https://scotch.io/tutorials/authenticate-a-node-js-api-with-json-web-tokens"
          >JWT Sample App Example</a
        >
      </li>
      <li>
        <a href="https://aaronparecki.com/oauth-2-simplified/#web-server-apps"
          >OAuth 2</a
        >
      </li>
      <li>
        <a
          href="https://medium.com/javascript-scene/passwordless-authentication-with-react-and-auth0-c4cb003c7cde#.l1joiokr2"
          >Passwordless Authentication with React and Auth0</a
        >
      </li>
    </ul>
    <hr />
    <h3 id="learn-git">Learn Git</h3>
    <ul>
      <li>
        Official
        <a href="https://try.github.io/levels/1/challenges/1">Tutorial</a> -
        Learn Git in 15 Minutes
      </li>
      <li>Official <a href="https://git-scm.com/documentation">Docs</a></li>
      <li>
        Other Tuts:
        <ul>
          <li>
            <a href="http://rogerdudler.github.io/git-guide/"
              >Git, the simple guide</a
            >
          </li>
          <li>
            <a href="http://learngitbranching.js.org/"
              >Learn Git Branching - Level by Level learning</a
            >
          </li>
          <li>
            <a href="http://tutorialzine.com/2016/06/learn-git-in-30-minutes/"
              >Learn Git in 30 Minutes - Article</a
            >
          </li>
          <li>
            <a
              href="https://medium.freecodecamp.com/git-cheat-sheet-and-best-practices-c6ce5321f52"
              >Here are all the Git commands I used last week and what they do
              (Medium)</a
            >
          </li>
        </ul>
      </li>
      <li>
        Why to Use GIT
        <a
          href="https://www.linkedin.com/pulse/i-have-side-code-projects-show-you-ezekiel-buchheit"
          >No, I have no side projects to show you</a
        >
      </li>
    </ul>
    <hr />
    <h3 id="games-and-challenge-websites">Games and Challenge Websites</h3>
    <ul>
      <li>
        <p>
          Games to learn Programming in an easy and fun way
          <a
            href="https://www.reddit.com/r/learnprogramming/comments/5wwkxi/do_you_recommend_any_games_to_learn_coding_in_an/"
            >[Reddit Link]</a
          >
        </p>
        <ul>
          <li><a href="http://flexboxfroggy.com/">Flex Box Froggy</a></li>
          <li><a href="http://www.flexboxdefense.com/">Flex Box Defense</a></li>
          <li><a href="https://edabit.com/explore">Edabit</a></li>
          <li><a href="https://www.codingame.com">Coding Game</a></li>
          <li>
            <a href="http://play.elevatorsaga.com/">Elevator Saga - JS</a>
          </li>
          <li>
            <a href="https://scratch.mit.edu/">Scratch - Absolute Basics</a>
          </li>
          <li>
            <a href="http://www.hackedapp.com/"
              >Hacked - Mobile App teaching through puzzles</a
            >
          </li>
        </ul>
      </li>
      <li>
        Coding Challenge Websites
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/5oxwjj/any_good_sitesapps_for_small_coding_exercises/"
          >[Reddit Link]</a
        >
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/5g3xgi/anyone_knows_the_name_of_a_website_to_learn_to/"
          >[Reddit Link #2]</a
        >
        <ul>
          <li>
            <a
              href="https://medium.com/coderbyte/the-10-most-popular-coding-challenge-websites-of-2016-fb8a5672d22f#.fn8c7imvk"
              >Medium - 10 most popular coding challenge sites of 2016</a
            >
          </li>
          <li><a href="https://www.codechef.com/">Codechef</a></li>
          <li><a href="https://www.codewars.com/">Code Wars</a></li>
          <li><a href="https://www.codingame.com">Coding Game</a></li>
          <li>
            <a href="https://www.hackerrank.com/domains/cpp/cpp-introduction"
              >Hacker Rank (some debate about this being good/bad</a
            >
          </li>
          <li>
            <a href="https://projecteuler.net/">Project Euler (math focus)</a>
          </li>
          <li><a href="http://exercism.io/">Exercism</a></li>
        </ul>
      </li>
    </ul>
    <hr />
    <h3 id="free-programming-books">Free Programming Books</h3>
    <ul>
      <li>
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/556kxj/oreilly_offering_programming_ebooks_for_free/"
          >O’Reilly Offering Programming eBooks for Free (Reddit)</a
        >
      </li>
      <li>
        <a
          href="https://github.com/vhf/free-programming-books/blob/master/free-programming-books.md"
          >GitHub - Thousands of free programming Books on every topic</a
        >
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/51zz5g/what_non_technical_books_can_i_bring_with_me/"
          >Non-Technical Books to make you a better Programmer (Reddit)</a
        >
      </li>
    </ul>
    <hr />
    <h3 id="open-source-contribution-opportunities">
      Open Source Contribution Opportunities
    </h3>
    <ul>
      <li>
        <a
          href="https://guides.github.com/activities/contributing-to-open-source/"
          >Contributing to Open Source on GitHub</a
        >
        - The official GitHub guide.
      </li>
      <li>
        <a href="https://github.com/Roshanjossey/first-contributions"
          >Make your first open source contribution in 5 minutes</a
        >
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/4xts2c/how_do_i_get_skilled_enough_to_work_on_open/"
          >How do I get skilled enough to work on open source projects?</a
        >
      </li>
      <li>
        <a href="https://github.com/exercism/exercism.io">Exercism</a>, an open
        source project to learn programming and a good opportunity to get you
        started contributing on github.
      </li>
      <li>
        Open Source Contribution Opportunites
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/5wgefy/many_devs_here_on_reddit_and_on_slack_were_asking/"
          >[Reddit Discussion]</a
        >
        <ul>
          <li>
            <a href="https://devchat.devolio.net/hellocode/"
              >Redditor Form to fill out to get notified about Open Source
              Opportunities</a
            >
          </li>
          <li>
            <a href="http://up-for-grabs.net/#/"
              >Up For Grabs - Browse a list of projects with curated tasks</a
            >
          </li>
        </ul>
      </li>
      <li>
        <a href="https://hacktoberfest.digitalocean.com/">Hacktoberfest</a> -
        Open source activity held every October. Easy to participate, and you
        get a free t-shirt!
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/4pgb44/im_afraid_if_i_say_anything_on_github_people_will/"
          >I’m afraid if I say anything on GitHub people will laugh at me and I
          will die.</a
        >
      </li>
    </ul>
    <hr />
    <h3 id="am-i-ready-to-be-a-developer">Am I Ready to be a Developer?</h3>
    <ul>
      <li>
        Readiness
        <ul>
          <li>
            <a
              href="https://www.reddit.com/r/learnprogramming/comments/59paoi/self_taught_front_end_devs_when_did_you_know_that/"
              >Self taught front end devs… When did you know that you were “Job
              ready”?</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/53avew/people_who_are_selftaught_developers_how_long_did/"
              >People who are self-taught developers, how long did it take you
              to get your first job?</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/learnprogramming/comments/52c3os/when_do_you_know_when_youre_ready_to_start/"
              >When do you know when you’re ready to start interviewing?</a
            >
          </li>
        </ul>
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/cscareerquestions/comments/516gps/software_developers_what_is_the_best_advice_you/"
          >Software developers- what is the best advice you have for people
          learning CS?</a
        >
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/5516vo/i_want_a_career_in_programming/"
          >I want a career in programming</a
        >
      </li>
      <li>
        What should you know as a web dev just out of college?
        <ul>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/5dg39i/what_should_you_know_as_a_web_dev_just_out_of/"
              >Reddit Discussion - newer</a
            >
          </li>
          <li>
            <a href="http://matt.might.net/articles/what-cs-majors-should-know/"
              >What CS Majors Should Know - older</a
            >
          </li>
        </ul>
      </li>
      <li>
        How I got started with Side Projects -
        <a
          href="http://antrikshy.com/blog/how-i-got-started-with-programming-side-projects"
          >link</a
        >
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/4vr2of/what_are_some_goals_a_beginning_selftaught/"
          >What are some goals a beginning Self-Taught Developer should have?</a
        >
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/AskReddit/comments/4f1tgy/computer_programmers_of_reddit_what_is_your_best/"
          >Computer programmers of Reddit, what is your best advice to someone
          who is currently learning how to code?</a
        >
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/4y7e3d/i_began_teaching_myself_to_code_a_year_ago_i_got/"
          >I began teaching myself to code a year ago. I got hired at my first
          job 4 months ago. Here is a breakdown of somethings I was not ready
          for (FYI job is remote ruby/rails dev)</a
        >
      </li>
    </ul>
    <hr />
    <h3 id="software-developer-success-stories">
      Software Developer Success Stories
    </h3>
    <ul>
      <li>
        Success Stories
        <ul>
          <li>
            <a
              href="https://www.reddit.com/r/IAmA/comments/5pouv4/18_months_ago_i_didnt_know_how_to_code_im_now_a/"
              >18 months ago I didn’t know how to code, I’m now a self-taught
              programmer who’s made apps for the NBA, NHL, and schools like
              Purdue, Notre Dame, Alabama and Clemson. I’m now releasing my
              software under the MIT license for anyone’s use — AMA!</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/learnprogramming/comments/590v8l/last_year_i_was_unemployed_and_miserable_using/"
              >Last year I was unemployed and miserable. Using this sub and
              resources, I’ve been full time employed for a year. I did it with
              all free resources. I wanna share with you how I did it. (IOS)</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/learnprogramming/comments/4y7e3d/i_began_teaching_myself_to_code_a_year_ago_i_got/"
              >I began teaching myself to code a year ago. I got hired at my
              first job 4 months ago. Here is a breakdown of somethings I was
              not ready for (FYI job is remote ruby/rails dev)</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/learnprogramming/comments/34r807/im_32_years_old_and_just_started_my_first/"
              >I’m 32 years old, and just started my first full-time job as a
              developer. One year ago my programming knowledge was basically
              nil. Everything I learned, I found via /r/learnprogramming, so
              just wanted to share my experience.</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/learnprogramming/comments/5elrb5/from_zero_to_software_developer/"
              >From zero to software developer - Not really a success story, but
              a lot of redditors share how they learned. Great for beginners
              with no path</a
            >
          </li>
        </ul>
      </li>
    </ul>
    <hr />
    <h3 id="get-the-job">Get The Job</h3>
    <p>
      <strong
        >Resume, Portfolio, LinkedIn, Interview Prep, and Salary
        Information</strong
      >
    </p>
    <ul>
      <li>
        <p>Make your portfolio</p>
        <ul>
          <li>
            <a href="https://github.com/bmorelli25/portfolio-template"
              >Customizable Web Developer Portfolio</a
            >
            - Built with Flexbox.
          </li>
          <li>
            <a
              href="https://codeburst.io/10-awesome-web-developer-portfolios-d266b32e6154"
              >10 Awesome Web Developer Portfolios</a
            >
          </li>
        </ul>
      </li>
      <li>
        <p>How to Apply</p>
        <ul>
          <li>
            <a
              href="https://medium.freecodecamp.com/5-key-learnings-from-the-post-bootcamp-job-search-9a07468d2331#.lpuzt5pnw"
              >I spent 3 months applying to jobs after a coding bootcamp. Here’s
              what I learned. (Medium)</a
            >
          </li>
          <li>
            <a
              href="https://medium.freecodecamp.com/lessons-from-my-post-bootcamp-job-search-in-london-cb37ea12ec2f#.u83avhawf"
              >Lessons from my Post-bootcamp Job search (Medium)</a
            >
          </li>
          <li>
            <a
              href="https://medium.freecodecamp.com/how-you-can-land-a-6-figure-job-in-tech-with-no-connections-6eed0de26ea4#.9cc270q7j"
              >How to land a six figure job in tech with no connections
              (Medium)</a
            >
          </li>
        </ul>
      </li>
      <li>
        <p>Resume &amp; LinkedIn</p>
        <ul>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/5gnmkj/what_are_some_of_the_best_resu%D0%BCe_formats_youve/"
              >What are some of the best resuмe formats you’ve seen?</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/5f5e3f/what_are_some_model_examples_for_fullstack/"
              >Model examples for Fullstack Developer LinkedIn profiles</a
            >
          </li>
        </ul>
      </li>
      <li>
        <p>Personal Projects</p>
        <ul>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/586lbg/recruiters_what_kind_of_cs_projects_impress/"
              >Recruiters, what kind of CS projects impress?</a
            >
          </li>
        </ul>
      </li>
      <li>
        <p>Interview Prep</p>
        <ul>
          <li>
            <a href="https://youtu.be/qIi-tIrcaww?t=2m32s"
              >CS50 - Prep and Practice for Technical Interviews [YouTube]</a
            >
          </li>
          <li>
            <a
              href="http://haseebq.com/how-to-break-into-tech-job-hunting-and-interviews/"
              >How to Break Into the Tech Industry—a Guide to Job Hunting and
              Tech Interviews</a
            >
          </li>
          <li>
            Common JavaScript Interview Questions Repo
            <ul>
              <li>
                <a
                  href="https://github.com/kennymkchan/interview-questions-in-javascript"
                  >GitHub Repo - All questions and answers</a
                >
              </li>
              <li>
                <a
                  href="https://www.reddit.com/r/learnprogramming/comments/5sa35k/fun_github_repo_containing_common_interview/"
                  >Reddit Post - Discussion, with additional questions and
                  answers</a
                >
              </li>
            </ul>
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/5y95x6/i_am_ammon_bartram_and_i_have_done_900/"
              >Ammon Bartram - Ask an interviewer anything: interview questions,
              answers, mistakes</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/5w2oyn/sharing_some_interview_tips/"
              >Sharing some interview tips (Silicon valley employee)</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/AskReddit/comments/5iqnkj/at_the_end_of_a_job_interview_they_always_ask/"
              >Job interview questions to ask the interviewer</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/5dk7we/i_suck_at_programming_interviews_maybe_i_suck_too/"
              >I suck at programming interviews.</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/58htcc/when_solving_an_interview_problem_talk_all_the/"
              >When solving an interview problem, talk all the time.</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/5557j0/hiring_managers_or_other_seasoned_developers_what/"
              >Hiring managers (or other seasoned developers), what qualities do
              you look for in your ideal candidate?</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/4rdcy0/post_your_best_interview_questions/"
              >Post your best interview questions</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/webdev/comments/3f7q3q/been_interviewing_with_a_lot_of_tech_startups_as/"
              >Been interviewing with a lot of tech startups as a frontend dev,
              here are the technical questions I’ve been asked (MID-SENIOR
              LEVEL)</a
            >
          </li>
          <li>
            <a
              href="https://medium.com/javascript-scene/10-interview-questions-every-javascript-developer-should-know-6fa6bdf5ad95#.v0dk97v5v"
              >10 Interview Questions every JS Developer should know (Medium)</a
            >
          </li>
        </ul>
      </li>
      <li>
        Salary Information
        <ul>
          <li>
            <a
              href="https://codeburst.io/how-much-do-software-developers-make-in-2017-e6ae657966be"
              >How Much Do Software Developers Make in 2017?</a
            >
          </li>
          <li>
            <a
              href="https://www.reddit.com/r/cscareerquestions/comments/5h6xvj/official_salary_sharing_thread_for_new_grads/"
              >12/2016 Salary Sharing Thread (&lt;2 yrs Experience)</a
            >
          </li>
          <li>
            <a
              href="https://medium.freecodecamp.com/salary-negotiation-how-not-to-set-a-bunch-of-money-on-fire-605aabbaf84b#.75xz4zut8"
              >Salary Negotiations and how not to set a bunch of money on fire
              (Medium)</a
            >
          </li>
          <li>
            <a
              href="https://medium.freecodecamp.com/ten-rules-for-negotiating-a-job-offer-ee17cccbdab6#.g8u1wnyw8"
              >10 Rules for negotiating a job offer (Medium)</a
            >
          </li>
          <li>
            <a
              href="https://medium.freecodecamp.com/how-not-to-bomb-your-offer-negotiation-c46bb9bc7dea#.vdfc82rl7"
              >How not to bomb your offer negotiation (Medium)</a
            >
          </li>
        </ul>
      </li>
    </ul>
    <hr />
    <h3 id="assorted-links">Assorted Links</h3>
    <ul>
      <li>
        Tutorial/Screencast:
        <a
          href="https://www.reddit.com/r/learnprogramming/comments/5d56pd/lets_learn_algorithms_an_intro_to_binary_search/"
          >Lets Learn Algorithms: An Intro to Binary Search</a
        >
      </li>
      <li>
        JavaScript / Node / Angular 1 &amp; 2 / React / Elm / C# / PHP / SQL /
        Git
        <a
          href="https://drive.google.com/folderview?id=0BztLOG55I2FVT0NNLTVXM1JOYlk&amp;usp=sharing"
          >Google Drive</a
        >
      </li>
      <li><a href="https://watchandcode.com/">Watch And Code</a></li>
      <li>
        <a href="http://regexone.com/">RegexOne</a> - Learn Regular Expressions
      </li>
      <li>
        <a href="https://github.com/jwasham/coding-interview-university"
          >Google University GitHub Repo</a
        >
      </li>
      <li>
        <a
          href="https://www.youtube.com/playlist?list=PLRqwX-V7Uu6YEypLuls7iidwHMdCM6o2w"
          >Regex 101 by Daniel Shiffman</a
        >
      </li>
      <li>
        <a
          href="https://codeburst.io/best-web-developers-to-follow-on-twitter-9318a3f6525a"
          >20 Developers to Follow on Twitter</a
        >
      </li>
    </ul>
  </body>
</html>
